import { BodyDecoder } from "../converter/body/body-decoder";
export interface Response<DataType> {
    body(decoder?: BodyDecoder<DataType>): DataType | undefined;
    rawBody(): Uint8Array;
    hasBody(): boolean;
    codeRet(): number;
    toBytes(): Uint8Array;
    /**
     * @deprecated use {@link Response.isSuccessful()} instead
     */
    isSuccess(): boolean;
    /**
     * Return tue if tap device returned a successful response code
     */
    isSuccessful(): boolean;
    /**
     * Assert that request was successful
     * @throws DeviceResponseError if response was not successful
     */
    successful(): void;
}
